
Lookup Editor - Feature #893

Add ability to import a lookup file into the editor

11/13/2014 11:16 PM - Luke Murphey

Status: Closed Start date: 11/13/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.0   

Description

Subtasks:

Task # 894: Add controller that returns JSON version of provided CSV file Closed

Task # 895: Create uploader that submits CSV to controller; loads lookup in view Closed

History

#1 - 11/13/2014 11:16 PM - Luke Murphey

- Tracker changed from Task to Feature

#2 - 11/14/2014 11:40 PM - Luke Murphey

Trying http://papaparse.com/

#3 - 11/14/2014 11:46 PM - Luke Murphey

Trying to load papa-parse generates an exception:

TypeError: Cannot read property 'src' of null↵

at p (eval at <anonymous> (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:246:16), <anonymous>:11:9687)↵

at eval (eval at <anonymous> (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:246:16), <anonymous>:11:13274)↵

at eval (eval at <anonymous> (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:246:16), <anonymous>:11:13279)↵

at eval (native)↵

at http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:246:16↵

at Function.jQuery.extend.globalEval (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:246:36)↵

at jQuery.ajaxSetup.converters.text script (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:4006:8)↵

at ajaxConvert (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:3951:10)↵

at done (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:3789:11)↵

at callback (http://127.0.0.1:8000/en-US/static/@232979.164/js/common.min.js:4111:1)

#4 - 11/14/2014 11:49 PM - Luke Murphey

The page is being replaced with the following HTML when importing the script: <html><head><script

id="worker737516475841403"></script></head></html>

#5 - 11/14/2014 11:52 PM - Luke Murphey
Trying another: https://github.com/knrz/CSV.js/tree/master

#6 - 11/15/2014 08:08 AM - Luke Murphey

- Status changed from New to Closed
